Package org.bukkit.block

# Interface Lidded

All Known Subinterfaces:
  `Barrel`, `Chest`, `EnderChest`, `ShulkerBox`

public interface Lidded

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Sets the block's animated state to closed even if a player is currently viewing this block.
`boolean`
`isOpen()`
Checks if the block's animation state.
`void`
`open()`
Sets the block's animated state to open and prevents it from being closed until `close()` is called.

## Method Details

### open

void open()
Sets the block's animated state to open and prevents it from being closed until `close()` is called.

### close

void close()
Sets the block's animated state to closed even if a player is currently viewing this block.

### isOpen

boolean isOpen()
Checks if the block's animation state.

Returns:
  true if the block's animation state is set to open.